package cn.com.taiji.track.schedule;

import cn.com.taiji.track.service.IBeidouLocationService;
import cn.com.taiji.track.service.IBeidouTrackService;
import cn.com.taiji.track.service.IShipStatusService;
import cn.com.taiji.track.service.IWarningRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author kok20
 * 适应starrocks保存逻辑，通过定时器降低保存时间间隔
 */
@Component
public class LocationSchedule {
    @Autowired
    private IBeidouLocationService beidouLocationService;

    @Scheduled(cron = "*/30 * * * * ?")
    private void listLocationToCache() {
        beidouLocationService.listLocationToCache();
    }
}

